;-=====================================================-
;       Configuration file for mugen.exe
;-=====================================================-

;-------------------------------------------------------
; Game options configurable in M.U.G.E.N's options screen go here.
; Does not include key config.
[Options]
; Basic options
Difficulty = 4
Life = 100
Time = 99
GameSpeed = 0

; Team-only config
Team.1VS2Life = 140
Team.LoseOnKO = 1

; Set the motif to use.
; Motifs are themes that define the look and feel of MUGEN.
; This is not accessible in options screen.
; Note: If you install a motif that overwrites system files (not recommended)
; you may need to set the motif line to use data/system.def instead.
; motif = data/system.def  ;Use this line if using a motif that overwrites system files.
motif = data/system.def

;-------------------------------------------------------
[Rules]
 ;Keep this set at VS. It's the only option supported for now.
GameType = VS

 ;This is the amount of power the attacker gets when an attack successfully
 ;hits the opponent. It's a multiplier of the damage done. For example,
 ;for a value of 3, a hit that does 10 damage will give 30 power.
Default.Attack.LifeToPowerMul = .7

 ;This is like the above, but it's for the person getting hit.
 ;These two multipliers can be overridden in the Hitdef controller in the
 ;CNS by using the "getpower" and "givepower" options.
Default.GetHit.LifeToPowerMul = .6

 ;This controls how much damage a super does when you combo into it.
 ;It's actually a multiplier for the defensive power of the opponent.
 ;A large number means the opponent takes less damage. Leave it at
 ;1 if you want supers to do the normal amount of damage when comboed
 ;into.
 ;Note 1: this increase in defence stays effective until the opponent
 ;        gets up from the ground.
 ;Note 2: the program knows you've done a super when the "superpause"
 ;        controller is executed. That's the instance when this change
 ;        becomes effective.
Super.TargetDefenceMul = 1.5


;-------------------------------------------------------
[Config]
 ;Set the game speed here. The default is 60 frames per second. The
 ;larger the number, the faster it goes. Don't use a value less than 10.
GameSpeed = 60

 ;Game native width and height.
 ;Recommended settings are:
 ;  640x480   Standard definition 4:3
 ; 1280x720   High definition 16:9
 ; 1920x1080  Full HD 16:9
GameWidth = 640
GameHeight = 480

 ;Preferred language (ISO 639-1), e.g. en, es, ja, etc.
 ;See http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
Language = "en"

 ;Set to 1 to draw shadows (default). Set to 0 if you have a slow
 ;machine, and want to improve speed by not drawing shadows.
DrawShadows = 1

 ;Number of simultaneous afterimage effects allowed.
 ;Set to a lower number to save memory (minimum 1).
AfterImageMax = 16

 ;Maximum number of layered sprites that can be drawn.
 ;Set to a lower number to save memory (minimum 32).
LayeredSpriteMax = 256

 ;Size of sprite decompression buffer in KB. Increasing this number may help
 ;if you experience slow performance when there are many sprites and/or large
 ;sprites shown over a short period of time.
 ;Minimum 256 for acceptable performance.
 ;If you set this too large you may also experience performance degredation.
SpriteDecompressionBufferSize = 16384

 ;Maximum number of explods allowed in total. Note that hitsparks
 ;also count as explods.
 ;Set to a lower number to save memory (minimum 8).
ExplodMax = 256

 ;Maximum number of system explods allowed.
 ;Set to a lower number to save memory (minimum 8).
SysExplodMax = 128

 ;Maximum number of helpers allowed in total.
 ;Set to a lower number to save memory (minimum 4, maximum 56).
HelperMax = 56

 ;Maximum number of projectiles allowed per player.
 ;Set to a lower number to save memory (minimum 5).
PlayerProjectileMax = 32

 ;This is 1 the first time you run MUGEN.
FirstRun = 0


;-------------------------------------------------------
[Debug]
 ;Set to 0 to disable starting in debug mode by default.
Debug = 0

 ;Set to 0 to disallow switching to debug mode by pressing Ctrl-D.
 ;If Debug = 1, this will be ignored.
AllowDebugMode = 1

 ;Set to 1 to allow debug keys at all times. Otherwise debug keys
 ;allowed only in debug mode.
AllowDebugKeys = 1

 ;Set to 1 to run at maximum speed by default.
Speedup = 0

 ;Default starting stage for quick versus.
StartStage = stages/stage0-720.def


;-------------------------------------------------------
[Video]
 ;The video resolution defaults to the same as the game resolution.
 ;You can force an alternate resolution by uncommenting the lines
 ;below.
;Width  = 1280
;Height = 720

 ;This is the color depth at which to run MUGEN.
 ;Only 16 is supported at this time.
Depth = 16

 ;Set to 1 to enable vertical retrace synchronization. Do not enable
 ;if BlitMode = PageFlip.
 ;Not supported in 1.0.
VRetrace = 0

 ;Set to 1 to enable fullscreen mode, 0 for windowed.
FullScreen = 0

 ;Drawing mode
 ;Choose from Normal (fast) and PageFlip (less image "tearing")
BlitMode = Normal

 ;Screen rendering mode.
 ;System - default SDL rendering mode (e.g. windib in Windows)
 ;DirectX - DirectX 5 renderer
 ;OpenGLScreen - hack that allows window resizing but could be slow
RenderMode = System

;-------------------------------------------------------
; Sound configuration
[Sound]
  ;Set the following to 1 to enable sound effects and music.
  ;Set to 0 to disable.
Sound = 1

  ;Set the sample rate of the game audio. Higher rates produce better
  ;quality but require more system resources. Lower the rate if you
  ;are having problems with sound performance.
  ;Recommended values are 22050, 44100, or 48000.
SampleRate = 44100

  ;Sets the audio buffer size. Larger buffers take less CPU but cause
  ;more latency when playing sounds. Smaller buffers give less latency
  ;but take more CPU. Also, if the buffer size is smaller than your system
  ;can handle, you may experience audio problems.
  ;
  ;The buffer size is set to 2^n samples, where n is the value you specify 
  ;here. Valid values for n are between 8 and 15.
  ;
  ;A good rule of thumb is to pick 10 for 22050 Hz audio, or 11 for 44100 Hz
  ;and 48000 Hz. Slower machines may require a larger buffer size.
BufferSize = 11

  ;Set the following to 1 to enable stereo effects in-game
  ;Set to 0 to disable.
StereoEffects = 1

  ;This is the width of the sound panning field. If you
  ;Increase this number, the stereo effects will sound
  ;closer to the middle. Set to a smaller number to get
  ;more stereo separation on sound effects.
  ;Only valid if StereoEffects is set to 1.
PanningWidth = 240

  ;Set the following to 1 to reverse left and right channels
  ;on your sound card.
ReverseStereo = 0

  ;Voice Channels to use. Values are from 1 to 16.
  ;If sound quality is poor, try setting a smaller number, such as 8 or 4.
WavChannels = 12

  ;This is the master volume for all sounds, in percent (0-100).
MasterVolume = 100

  ;This is the volume for sound effects and voices, in percent (0-100).
WavVolume = 80

  ;This is the master volume for music, (0-100).
BGMVolume = 75

  ;Method used for rate conversion of sound effects.
  ;Choose from:
  ; *) SDL (no interpolation, low quality, low resource usage) 
  ; *) libresample (bandlimited interpolation, medium/high quality, higher
  ;                 resource usage).
SFXResampleMethod = libresample

  ;Quality parameter for resampling, if libresample is used.
  ;Valid values are 0 (medium quality) or 1 (high quality).
SFXResampleQuality = 0

  ;Quality parameter for BGM resampling, using libresample.
  ;Valid values are 0 (medium quality) or 1 (high quality).
BGMResampleQuality = 0


[Music]
  ;Configure music plugins and any optional parameters here. Format looks
  ;like the following:
  ;  plugin = <pluginname> [, <pluginfile1>]
  ;  <optional_param_1> = <value>
  ;  <optional_param_2> = <value>
  ;  plugin = <pluginname2> [, <pluginfile2>]
  ;  ...
  ;Valid parameters depend on the plugin. Each BGM file will be played
  ;by the uppermost plugin in the list that recognizes that file.
  ;For system plugins, the <pluginfile> argument is unused.

  ;System plugin (built-in): mpg123
  ;Plays MP3 files only. Supports looppoints in terms of samples.
  ;Optional parameters:
  ;  decoder = <decodername>
  ;    Requests use of a particular mpg123 decoding engine (request may not be
  ;    honored, depending on the file). This should be omitted unless you 
  ;    know what you are doing. Valid values are:
  ;      SSE, 3DNowExt, 3DNow, MMX, i586, i586_dither, i386, generic, 
  ;      generic_dither.    
  ;  rva = <mode>
  ;    Specifies ReplayGain volume adjustment. Valid values are:
  ;      off   (default; disables ReplayGain)
  ;      track 
  ;      album
  ;  volume = <vol>
  ;    Overall volume adjustment, in percent. This is a linear scale factor 
  ;    that multiplies the output amplitude. Do not specify a value over 
  ;    100.0 unless you know what you are doing.
  ;  extensions = <extensionlist>
  ;    Specifies file extensions to recognize as MP3. This is a comma-
  ;    separated list with no whitespace. For instance,
  ;      extensions = mp3,mpeg3,mpe
  ;    would register the .mp3, .mpeg3, and .mpe file extensions with this
  ;    plugin. Defaults to "mp3" if omitted.
plugin = mpg123
rva = track
extensions =
volume = 100.0

  ;Plugin (add-on): vorbisplug
  ;Plays Ogg Vorbis files using the libvorbisfile library. Supports loop
  ;  points and ReplayGain volume adjustment. Does not support files with
  ;  more than 2 audio channels.
  ;Optional parameters:
  ;  rva = <mode>
  ;    Specifies ReplayGain volume adjustment. Valid values are:
  ;      off   (default; disables ReplayGain)
  ;      track 
  ;      album
  ;  volume = <vol>
  ;    Overall volume adjustment, in percent. This is a linear scale factor 
  ;    that multiplies the output amplitude. Do not specify a value over 
  ;    100.0 unless you know what you are doing.
  ;  extensions = <extensionlist>
  ;    Specifies file extensions to recognize as MP3. This is a comma-
  ;    separated list with no whitespace. For instance,
  ;      extensions = ogg,vorbis,vorb
  ;    would register the .ogg, .vorbis, and .vorb file extensions with this
  ;    plugin. Defaults to "ogg,vorbis" if omitted.
plugin = vorbisplug, plugins/vorbisplug.dll
rva = track
extensions = 
volume = 100.0

  ;System plugin (built-in): sdlmix
  ;Plays MIDI with native playback; MODs and other tracker files 
  ;  (with MikMod)
  ;
  ;Looppoints are not supported. Performs seamless end-to-beginning loops.
  ;
  ;Optional parameters:
  ;  midivolume = <volume>
  ;    Specifies volume scaling for MIDI in percent. 
  ;    100 means no change (default).
  ;  modvolume = <volume> 
  ;    Same as midivolume, but for MODs and other tracker files.
plugin = sdlmix
midivolume =
modvolume = 

;-------------------------------------------------------
[Misc]
  ;Number of extra players to cache in memory.
  ;Set to a lower number to decrease memory usage, at cost of
  ;more frequent loading.
PlayerCache = 4

  ;Set to 1 to allow precaching. Precaching attempts to start loading
  ;player data as early as possible, to reduce apparent loading times
  ;between matches. To get the best performance, set PlayerCache to at
  ;least 1. The optimal number for PlayerCache is 4 when precaching is
  ;enabled. Precaching is not available in DOS.
Precache = 1

  ;Set to 1 to enable large-buffer reads of sprite and sound data.
  ;Set to 0 (off) to decrease memory usage, at cost of slower
  ;loading.
BufferedRead = 1

  ;Set to 1 to free system.def data from memory whenever possible.
  ;This decreases memory usage, in exchange for loading time
  ;before system screens.
UnloadSystem = 0

  ;Configures the handling of sound effects and voices when the
  ;window is in the background (i.e., defocused).
  ;Set to "Mute" to mute sound effects, or "Play" to let sound effects
  ;play.
SFXBackgroundMode = Play

  ;Configures the handling of BGM when the window is in the background.
  ;Set to "Pause" to pause the music, "Mute" to mute the music but leave
  ;it running at normal speed, or "Play" to continue playing as usual.
  ;If you are running in fullscreen mode, then this setting is always
  ;set to "Pause".
BGMBackgroundMode = Play

;-------------------------------------------------------
[Arcade]
 ;Set to 0 for computer to choose color 1 if possible.
 ;Set to 1 for computer to randomly choose a color.
AI.RandomColor = 0

 ;This option allows the AI to input commands without
 ;having to actually press any keys (in effect, cheating).
 ;Set to 1 to enable, 0 to disable.
AI.Cheat = 1

 ;Arcade Mode AI ramping. For both parameters below, the first number
 ;corresponds to the number of matches won, and the second number to the
 ;AI difficulty offset. The actual difficulty is the sum of the AI
 ;difficulty level (set in the options menu) and the value of the offset
 ;at a particular match.
 ;  AIramp.start = start_match, start_diff
 ;  AIramp.end   = end_match, end_diff
 ;The difficulty offset function is a constant value of start_diff from
 ;the first match until start_match matches have been won. From then the
 ;offset value increases linearly from start_diff to end_diff. After
 ;end_diff matches have been won, the offset value is end_diff.
 ;  e_d            /----------
 ;               /
 ;  s_d _______/
 ;     ^      ^     ^        ^
 ;   1st_m   s_m   e_m     last_m
 ;For example, if you have:
 ;  AIramp.start = 2,0
 ;  AIramp.end   = 4,2
 ;For 6 matches at level 4, the difficulty will be (by match):
 ;  4,4,4,5,6,6
arcade.AIramp.start = 2, 0
arcade.AIramp.end   = 4, 2

 ;Team Mode AI ramping
team.AIramp.start = 1, 0
team.AIramp.end   = 3, 2

 ;Survival Mode AI ramping
survival.AIramp.start = 0, -3
survival.AIramp.end   = 16, 4


;-------------------------------------------------------
[Input]
P1.UseKeyboard = 1
P2.UseKeyboard = 1
;Joystick type:
;0 - Disabled
;1 - Enabled
P1.Joystick.type = 1
P2.Joystick.type = 1

;-------------------------------------------------------
; P1 Key config (configurable from M.U.G.E.N)
[P1 Keys]
Jump   = 273
Crouch = 274
Left   = 276
Right  = 275
A      = 97
B      = 115
C      = 100
X      = 113
Y      = 119
Z      = 101
Start  = 13

; P2 Key config (configurable from M.U.G.E.N)
[P2 Keys]
Jump   = 267
Crouch = 264
Left   = 263
Right  = 265
A      = 127
B      = 279
C      = 281
X      = 277
Y      = 278
Z      = 280
Start  = 256

[P1 Joystick]
Jump   = 1
Crouch = 2
Left   = 3
Right  = 4
A      = 13
B      = 14
C      = 20
X      = 15
Y      = 16
Z      = 18
Start  = 24

[P2 Joystick]
Jump   = 33
Crouch = 34
Left   = 35
Right  = 36
A      = 41
B      = 42
C      = 48
X      = 43
Y      = 44
Z      = 46
Start  = 50
